# Astra Documentation > Documentation for Astra ## Guides - [Getting Started](https://docs.astra.finance/docs/getting-started.md): This guide will walk you through the steps to make your first requests to the sandbox API. Calling endpoints in production will follow a similar process but use different URLs. - [Personal Users + Trusted Auth](https://docs.astra.finance/docs/personal-users-trusted-auth.md): For enterprise clients onboarding personal users with the most flexibility. - [Cross Border Program Details](https://docs.astra.finance/docs/cross-border-program-details.md) - [Trusted Authentication](https://docs.astra.finance/docs/trusted-authentication.md) - [API Only Authorization](https://docs.astra.finance/docs/api-only-authorization.md) - [Guide to Astra's SDK](https://docs.astra.finance/docs/guide-to-astras-sdk.md): A [UserIntent](ref:post_v1-user-intent) manages the lifecycle of the creation of a User, before that User has been fully created. A [User](ref:get_v1-user) is created when an end-user authenticates through [Astra's SDK](https://dashboard-sandbox.astra.finance/sdk-generator). When an end-user authorizes Astra, your client will ultimately end up with an `access_token`, which grants your application the ability to make money movements on their behalf. When a UserIntent is submitted to Astra, a UserIntent [status](ref:user-statuses) is returned. When an end-user authenticates via Astra, their User profile is created, which [inherits](ref:guide-userintent-user-statuses-and-oauth-module-flows) the status of their UserIntent. In order to successfully onboard your end-users, you must know the following three things: * Does a UserIntent for this end-user exist? * If yes, what is the status of their UserIntent? * If their UserIntent status is `converted_to_user`, do they have an `access_token`? The following guide is meant to address questions regarding how to manage Users and UserIntents of varying statuses relative to the different OAuth flows our SDK provides. - [Testing in the Sandbox Environment](https://docs.astra.finance/docs/testing-in-the-sandbox-environment.md): This guide demonstrates how to create Accounts and Users / UserIntents with specific states so that you can test a wide range of scenarios that an end-user may encounter. - [Card to Account](https://docs.astra.finance/docs/card-to-account.md): Card to Account Transfers - [Instant Disbursements | Gross Debit Mode](https://docs.astra.finance/docs/instant-disbursements-gross-debit-mode.md): Account-to-Card Payment Solution with built in ACH Debit Origination - [Instant Disbursements | Net Debit Mode](https://docs.astra.finance/docs/instant-disbursements-net-debit-mode.md): Account-to-Card Payment Solution with built in ACH Debit Origination - [Real-Time & ACH Same Day Transfers](https://docs.astra.finance/docs/real-time-ach-same-day-transfers.md) - [Cross Border Payments](https://docs.astra.finance/docs/cross-border-payments.md) - [Managing the Authorization Lifecycle](https://docs.astra.finance/docs/managing-authorization-lifecycle.md): The following guide presents information on the end-user authorization lifecycle and best practices for how to manage that authorization over time. - [Onboarding Personal Users](https://docs.astra.finance/docs/onboarding-personal-users.md) - [Onboarding Business Users](https://docs.astra.finance/docs/onboarding-business-users.md) - [Onboarding Receive-Only Users](https://docs.astra.finance/docs/guide-to-onboarding-receive-only-users.md) ## API Reference - [Introduction](https://docs.astra.finance/reference/introduction.md) - [Security](https://docs.astra.finance/reference/security.md) - [Usage Limits](https://docs.astra.finance/reference/usage-limits.md) - [Pagination](https://docs.astra.finance/reference/pagination.md) - [Custom Metadata](https://docs.astra.finance/reference/custom-metadata.md): Custom metadata can be supplied for specific resources for your own use or reference. - [Authorization](https://docs.astra.finance/reference/authorization.md) - [Authorize a User](https://docs.astra.finance/reference/post_v1-oauth-token.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. Use this endpoint to both initially Authorize a User, and also to Refresh Authorization for a user. In the **Form Data** below, **Option 1** is for the initial action to Authorize a User. **Option 2** is for the action of using the `refresh_token` to generate a new `access_token`. - [OAuth Links and Parameters](https://docs.astra.finance/reference/oauth-links-and-parameters.md) - [Astra Web App SDK](https://docs.astra.finance/reference/astra-web-app-sdk.md) - [Generate a Partner Identity Verification Token](https://docs.astra.finance/reference/post_v1-partner-identity-verification.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. This endpoint generates a short-lived token that can be used to bypass the phone verification in the Astra SDK. The token string must be included as a query param called `session_token` when directing users to the Astra SDK. > 🚧 > > This resource requires the OAuth Client to be configured for Trusted Authentication. > ❗️ > > This resource is only available for eligible programs. Please reach out to your Astra Integration Specialist for more information. - [Authorize a User via API](https://docs.astra.finance/reference/post_v1-partner-identity-token.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. Using the `session_token` obtained from `/v1/partner/identity/verification`, call Astra’s Partner Identity Token endpoint to Authorize the User via API. The result of successfully calling this endpoint will result in the creation of an access_token and refresh_token. > 🚧 > > This resource requires the OAuth Client to be configured for Trusted Authentication. > ❗️ > > This resource is only available for eligible programs. Please reach out to your Astra Integration Specialist for more information. - [User](https://docs.astra.finance/reference/user.md) - [Get a User Profile](https://docs.astra.finance/reference/get_v1-user.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint retrieves the profile information for the User whose `access_token` is passed in the authorization header. - [Get a User Intent](https://docs.astra.finance/reference/get_v1-user-intent-id.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. A User Intent manages the lifecycle of the creation of a User, before that User has been fully created. This endpoint retrieves the User Intent details. > πŸ“˜ > > Note that the `user_id` will be returned in the payload if the UserIntent has been successfully converted to a User. Also note that a UserIntent does not need to have an Approved Status to be converted to a User. - [Create a User Intent](https://docs.astra.finance/reference/post_v1-user-intent.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. A User Intent manages the lifecycle of the creation of a User, before that User has been fully created. This endpoint creates a User Intent, starting the process of verifying the end-user's identity in the background.\n For managing UserIntents, Astra recommends that once a UserIntent is created, you should store that UserIntent ID with the User record. The UserIntent ID can then be sent as a query string parameter to the Astra OAuth flow. Once your application receives the `authorization_code`, you can make a call to the `GET /v1/user` endpoint which will give you a `user_id`. > πŸ“˜ > > For `receive-only` Users, the SSN and DOB fields become optional. For `unverified` Users, the SSN field becomes optional. For `verified Users`, SSN and DOB are required, unless your program is approved for KYC Delegation. If your program is approved for KYC delegation, the SSN field becomes optional. > 🚧 > > Note that a new UserIntent should only be created if an end-user is starting from scratch or had originally provided incorrect information. > 🚧 > > Note that if a UserIntent doesn't have an address2 value, send Astra an empty string instead of a null or you'll recieve a 400 response upon POSTing the request. > ❗️ > > Note that you may only attempt to create 3 UserIntents per email address. If you reach this limit while creating UserIntents in your Sandbox Environment, you will receive an error. > ❗️ > > The `ip_address` field is the IP address of the User’s device they are using to access our Platform. Submission of Private IP Addresses or VPNs can result in downgraded User capabilities or even a `rejected` UserIntent / User Profile. - [User Statuses](https://docs.astra.finance/reference/user-statuses.md) - [Upgrade the kyc_type for a User](https://docs.astra.finance/reference/post_v1-upgrade-kyc-type.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. > ❗️ > > This resource is only available to eligible programs. Please reach out to your Astra Integration specialist for more information. > 🚧 > > Users cannot be downgraded from `verified` to `receive-only`, `verified` to `unverified`, or from `unverified` to `receive-only`. This endpoint upgrades the `kyc_type` for a Personal User from `unverified` or `receive-only` to the proposed `kyc_type`. Valid upgrade paths include: - `unverified` or `receive-only` to `verified` - `receive-only` to `unverified` - [Get a Business Profile](https://docs.astra.finance/reference/get_v1-business-profile-business-profile-id.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. This endpoint retrieves the details of a Business Profile. - [Create a Business Profile for a business user](https://docs.astra.finance/reference/post_v1-business-profile.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. This endpoint creates a business profile on behalf of the business user that will be used to pre-fill the business verification forms in the Astra OAuth flow. > ❗️ > > Note that there is a limit of 3 Business Profiles per phone number. - [List Capabilities for a User](https://docs.astra.finance/reference/get_v1-users-id-capabilities.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint returns the current capabilities of a User. - [Request User Phone Number Update](https://docs.astra.finance/reference/post_v1-request-user-phone-number-update.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint gives Astra's customers the ability to submit a phone number change request on behalf of a User to Astra, which will be sent through security checks on our end. This ensures that we can safely and securely update a User's phone number and verify that they are the owner. > πŸ“˜ > > Astra allows for a maximum of 1 phone change request to be performed every 30 days for each User. If a User's phone number was updated on January 10, 2026, then the earliest the User's phone number can be changed again is after February 9, 2026. > πŸ“˜ > > Phone number change requests can be rejected if our systems and our team are unable to verify phone ownership. > πŸ“˜ > > Phone number change requests are typically processed within one business day, but processing times may vary. > ❗️ > > Updating a User’s phone number does not update their UserIntent phone number. If a User’s Phone Number is successfully updated and if your program is leveraging Astra’s Web SDK, you’ll need to replace the user_intent_id query string parameter with the user_id query string parameter. In addition, including phone and phone_read_only query string parameters are highly recommended. Please ensure the phone number is derived from the User record, not the UserIntent record. - [Get User Phone Number Change Requests](https://docs.astra.finance/reference/get_v1-phone-number-change-requests.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint gives Astra's customers the ability to retrieve phone change requests submitted on behalf of a user. - [Request User Address Change](https://docs.astra.finance/reference/post_v1-request-address-change.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. > 🚧 > > Note: Do not pass empty strings or null values for properties. Instead, do not include the property in the payload. > ❗️ > > Note that only 2 address updates are allowed per User per 120 day period. This endpoint will allow you to update the address of a User. - [Update User Email](https://docs.astra.finance/reference/patch_v1-users-user-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. > 🚧 > > Note that a `user_updated` [webhook](ref:user-webhooks#user-updated) will fire upon successful email update for a given User. > 🚧 > > Upon the third email change within a rolling 365 day window, the User's capabilities will be automatically downgraded. Details on User Capabilities [here](https://knowledge.astrafi.com/articles/4866933514-user-capabilities) - [Accounts](https://docs.astra.finance/reference/accounts.md) - [List Accounts for a User](https://docs.astra.finance/reference/get_v1-accounts.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Retrieve all Accounts for a User. > πŸ“˜ > > This resource returns paginated results in descending order. For more details please see: [Pagination](ref:pagination) - [Get a Specific Account for a User](https://docs.astra.finance/reference/get_v1-accounts-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint retrieves a specific Account for a User based on the Account ID. - [Delete a Specific Account for a User](https://docs.astra.finance/reference/delete_v1-accounts-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint deletes a specific account for a User based on the account ID. The Response will only include a Response Code. - [Create Account by Account and Routing](https://docs.astra.finance/reference/post_v1-accounts-create.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint will create an Account for a User based on an account and routing number. > ❗️ This resource requires the use of the secure endpoint. > > | Environment | Secure Endpoint | > |-------------|-------------------------------------------------------------| > | Production | https://secure.api.astra.finance/v1/accounts/create | > | Sandbox | https://secure.api-sandbox.astra.finance/v1/accounts/create | > 🚧 > > Your Institution ID in Sandbox may be different than your Institution ID in Production. Please check the Client Details section of your Astra Dashboard to confirm. > 🚧 > > If you are creating an account in Sandbox, the Routing number must be a real-world Routing number. Account numbers in Sandbox should not be real-world. If you do not have a Routing number readily available, you can use `222222226`. > 🚧 > > Account numbers must be at minimum 7 digits and no greater than 17. For account numbers less than 7 digits, you must prepend zeros to the beginning of the account number. For example: an account number of `12345` should be registered as `0012345`. > πŸ“˜ > > Although required, the `Name` field is internal facing, and isn’t available for your Users to see unless you explicitly make this field visible to them through your application. The `Name` field also doesn’t appear on Bank Statements. This field was primarily designed for internal tracking of accounts. - [Create Account by Plaid Processor Token](https://docs.astra.finance/reference/post_v1-accounts-processor-token.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Astra and Plaid have partnered to enable you to use your existing Plaid integration to connect bank accounts and leverage Astra's transfer automation capabilities. To get started, follow the guide from [Plaid's API docs](https://plaid.com/docs/auth/partnerships/astra/). Completing the process will result in the creation of a `processor_token`. Sending the `processor_token` to this endpoint will create an Account for a User within the Astra platform. You can then easily use the resulting account `id` as the source or destination of a transfer Routine. - [Cards](https://docs.astra.finance/reference/cards.md) - [Get Card BIN Information](https://docs.astra.finance/reference/get_v1-bins-bin.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. > 🚧 > > The following BINs will return results in Sandbox: > * 400000 > * 400022 > * 440393 > * 460369 > * 475833 > * 498503 > * 510805 > * 520082 > * 559430 Use this endpoint to retrieve card network information for a given Bank Identification Number. - [List Cards for a User](https://docs.astra.finance/reference/get_v1-cards.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Retrieve all Debit Cards for a user. > πŸ“˜ > > This resource returns paginated results in descending order. For more details please see: [Pagination](ref:pagination) - [Create a Card for a User](https://docs.astra.finance/reference/post_v1-cards.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Cards can be created directly through the API using this PCI-compliant endpoint. Cards can also be created through the OAuth Module by selecting the **Connect New Debit Card** button. For Unit customers, please reference their technical documentation below to learn more about enabling card to card payments. [Enabling Card to Card Payments with Unit & Astra](https://guides.unit.co/partnerships/astra/) > ❗️ This resource requires the use of the secure endpoint. > > | Environment | Secure Endpoint | > |-------------|---------------------------------------------------| > | Production | https://secure.api.astra.finance/v1/cards | > | Sandbox | https://secure.api-sandbox.astra.finance/v1/cards | - [Get a Card by an ID](https://docs.astra.finance/reference/get_v1-cards-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint retrieves a specific Debit Card for a User based on the unique Card ID. - [Card Statuses and Review Reasons](https://docs.astra.finance/reference/card-review-statuses.md) - [Delete a Card](https://docs.astra.finance/reference/delete_v1-cards-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint deletes a debit card by way of a card's unique ID. If the card is successfully deleted, you'll receive an HTTP 200 OK response. > 🚧 > > Astra will only delete cards that were added by the requesting OAuth Client. End-users can delete cards through the Web App. > ❗️ > > A card can only be deleted if there are no active routines or pending transfers associated with it. - [Get Smart Card Authorization by Card ID](https://docs.astra.finance/reference/get_v1-cards-id-auth-details.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint returns card authorization risk assessment and recommendation data for a given user's card. > 🚧 > > This endpoint requires an enhanced client configuration for smart card authorization. Please contact customer support if you are interested in this feature. - [Approve a Card by an ID](https://docs.astra.finance/reference/post_v1-cards-id-approve.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint gives eligible clients the ability to approve a flagged Card by way of the card's unique ID. > 🚧 > > Your Astra OAuth Client must be enabled for this resource. Only flagged Cards can be approved, and the User must be approved in order to have their card(s) actioned. - [Reject a Card by an ID](https://docs.astra.finance/reference/post_v1-cards-id-reject.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint gives eligible clients the ability to reject a flagged Card by way of the card's unique ID. > 🚧 > > Your Astra OAuth Client must be enabled for this resource. Only flagged Cards can be rejected, and the User must be approved in order to have their card(s) actioned. - [Routines](https://docs.astra.finance/reference/routines.md) - [Routine Preview](https://docs.astra.finance/reference/post_v1-routines-preview.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint returns a fee structure payload as a response, which provides a preview of what the fee structure will be upon submitting a routine with the same parameters. > 🚧 > > This endpoint can only be used for previewing routines of a `debit` `payment_type`. - [Create an account to card routine](https://docs.astra.finance/reference/post_v1-routines-account-to-card.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Create an account to card routine (aka `instant disbursement`) > 🚧 > > This endpoint requires an enhanced client configuration for instant disbursements. Please contact customer support if you are interested in this feature. - [Create a card to account routine](https://docs.astra.finance/reference/post_v1-routines-card-to-account.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Create a card to account routine (funding from card) > 🚧 > > This endpoint requires an enhanced client configuration for funding from card. Please contact customer support if you are interested in this feature. - [List Routines for a User](https://docs.astra.finance/reference/get_v1-routines.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Retrieve all Routines for a User. > πŸ“˜ > > This resource returns paginated results in descending order. For more details please see: [Pagination](ref:pagination) - [Create a new Routine](https://docs.astra.finance/reference/post_v1-routines.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. > πŸ“˜ > > Use this Routine resource to request Card-to-Card and Account-to-Acccount (real-time, T+0, T+1, T+2, and T+4) payments. > 🚧 > > Used for reconciliation purposes, the `client_correlation_id` is a custom, alphanumeric string which gets appended to the transactions description by way of the Debit or ACH addenda. The limits are as follows: > - Debit Transactions: 8 Characters > - ACH Transactions: 80 Characters > - RTP / FedNow Transactions: 140 Characters This endpoint creates a new Routine for a User. - [Get a Specific Routine for a User](https://docs.astra.finance/reference/get_v1-routines-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint retrieves a specific Routine for a User based on the Routine ID. - [Routine Statuses](https://docs.astra.finance/reference/routine-statuses.md) - [Update an Existing Routine](https://docs.astra.finance/reference/put_v1-routines-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint updates an existing Routine for a User. > 🚧 > > Routine types may not be changed. Any of the non-required parameters below may be updated with this endpoint, provided they are included in the model for that Routine type. - [Delete a Routine for a User](https://docs.astra.finance/reference/delete_v1-routines-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint removes a specific Routine for a User based on the Routine ID. The Response will only include a Response Code. > ❗ > > Not applicable to `one-time` routines. Deleting a routine does not prevent it from processing. - [List Transfers for a Routine](https://docs.astra.finance/reference/get_v1-routines-id-transfers.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Retrieve all Transfers for a Routine. > πŸ“˜ > > This resource returns paginated results in descending order. For more details please see: [Pagination](ref:pagination) - [Create a book transfer routine](https://docs.astra.finance/reference/post_v1-routines-book.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Create a new book transfer routine (a book transfer between two Payment Instruments). The `access_token` must be issued to the Business User that was created with the Business Profile ID attached to the client. This Business User is visible in the Dashboard under the `Account Identifiers` section in the [production Dashboard](https://dashboard.astra.finance/settings/business-profile) or the [sandbox Dashboard](https://dashboard-sandbox.astra.finance/settings/business-profile). > πŸ“˜ > > The resulting **Book Routine ID** (`id`) can be queried against [`GET /v1/routines/{id}`](ref:get_v1-routines-id). > The resulting **Book Transfer ID** can be queried against [`GET /v1/transfers/{transfer_id}`](ref:get_v1-transfers-id). > Both Routine and Transfer status updates will trigger the associated [Routine webhooks](ref:routine-webhooks) and [Transfer webhooks](ref:transfer-webhooks). > 🚧 > > In the event of any failure response, the routine is **not** created. - [Transfers](https://docs.astra.finance/reference/transfers.md) - [List Transfers for a User](https://docs.astra.finance/reference/get_v1-transfers.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Retrieve all Transfers for a User. > πŸ“˜ > > This resource returns paginated results in descending order. For more details please see: [Pagination](ref:pagination) - [Get a Specific Transfer for a User](https://docs.astra.finance/reference/get_v1-transfers-id.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. This endpoint retrieves a specific Transfer for a User based on the Transfer ID. - [Get Details on the Segments of a Transfer](https://docs.astra.finance/reference/get_v1-transfers-id-segments.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Retrieve Transfer Segment data for a specific Transfer. Segments reveal details on each leg of a Transfer. - [Get a Specific Batch Transfer](https://docs.astra.finance/reference/get_v1-batch-transfers-id.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. Retrieve Batch Transfer data for a specific Batch Transfer. - [Cancel Transfer](https://docs.astra.finance/reference/post_v1-transfers-id-cancel.md): > πŸ“˜ > > You can place the bearer `access_token` for a specific user into the Authentication section of this documentation πŸ‘‰. Cancel a transfer for a user. To cancel a transfer, you must provide the ID of the transfer in the Endpoint URL. When a transfer is successfully canceled, Astra will return a successful response (HTTP 200) and the status of the transfer in the Transfer table will update to `canceled`. > 🚧 > > If the API response states that the transfer cannot be cancelled, then it indeed cannot be cancelled by any means. For details see this [guide](https://knowledge.astrafi.com/articles/7278512489-ach-transfer-timing-and-cancellation-windows?lang=en). - [List Payment Instruments for a Client](https://docs.astra.finance/reference/get_v1-payment-instruments.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. > 🚧 > > Payment Instruments are required for Real-Time (FedNow, RTP) and T+0 Same Day ACH payment flows. Please reach out to your Astra Integration Specialist for more information. > 🚧 > > There may be up to a 5 minute delay in calculating the true available balance of a payment instrument. Retrieves all Payment Instruments for a Client. - [Get Payment Instrument by an ID](https://docs.astra.finance/reference/get_v1-payment-instruments-id.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. > 🚧 > > Payment Instruments are required for Real-Time (FedNow, RTP) and T+0 Same Day ACH payment flows. Please reach out to your Astra Integration Specialist for more information. > 🚧 > > There may be up to a 5 minute delay in calculating the true available balance of a payment instrument. Retrieves a specific Payment Instrument for a Client. - [Get Account Routing Number Instant Payment Eligibility](https://docs.astra.finance/reference/get_v1-instant-payment-eligibility.md): > πŸ“˜ > > You can place your application's `client_id` into the `username` field, and your `client_secret` into the `password` form field of the Authentication section of this documentation πŸ‘‰. Use this endpoint to check if an account is eligible for instant payments. - [Errors](https://docs.astra.finance/reference/errors.md) - [Common Errors Responses](https://docs.astra.finance/reference/common-errors-responses.md) - [Webhooks](https://docs.astra.finance/reference/webhooks.md) - [Webhook Verification](https://docs.astra.finance/reference/webhook-verification.md) - [User Webhooks](https://docs.astra.finance/reference/user-webhooks.md) - [Routine Webhooks](https://docs.astra.finance/reference/routine-webhooks.md) - [Transfer Webhooks](https://docs.astra.finance/reference/transfer-webhooks.md) - [Batch Transfer Webhooks](https://docs.astra.finance/reference/batch-webhooks.md) - [Chargeback Webhooks](https://docs.astra.finance/reference/chargeback-webhooks.md) - [Card Webhooks](https://docs.astra.finance/reference/card-webhooks.md) - [Payment Instrument Webhooks](https://docs.astra.finance/reference/payment-instrument-webhooks.md)